请选择 进入手机版 | 继续访问电脑版

『瀚思彼岸』» 智能家居技术论坛

 找回密码
 立即注册
查看: 242|回复: 25

[技术探讨] termux安装后 hass 无法启动,请大神帮帮忙

[复制链接]

2

主题

19

帖子

80

积分

注册会员

Rank: 2

积分
80
金钱
61
HASS币
0
发表于 2021-9-13 14:37:28 | 显示全部楼层 |阅读模式
2021-09-13 14:20:51 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //data/data/com.termux/files/home/.homeassistant/home-assistant_v2.db was shutdown cleanly
2021-09-13 14:20:51 WARNING (Recorder) [homeassistant.components.recorder.util] Ended unfinished session (id=16 from 2021-09-13 03:04:12.104471)
2021-09-13 14:21:27 ERROR (SyncWorker_1) [homeassistant.util.package] Unable to install package pillow==8.2.0: ERROR: Command errored out with exit status 1:
     command: /data/data/com.termux/files/usr/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py'"'"'; __file__='"'"'/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /data/data/com.termux/files/usr/tmp/pip-record-fv0ujmim/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /data/data/com.termux/files/home/.homeassistant/deps/include/python3.9/pillow
         cwd: /data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/
    Complete output (176 lines):
    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-aarch64-3.9
    creating build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BdfFontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BlpImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BmpImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BufrStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ContainerIO.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/CurImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/DcxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/DdsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/EpsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ExifTags.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FitsStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FliImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FpxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FtexImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GbrImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GdImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GifImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GimpGradientFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GimpPaletteFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GribStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Hdf5StubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IcnsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IcoImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Image.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageChops.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageCms.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageColor.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageDraw.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageDraw2.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageEnhance.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFilter.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFont.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageGrab.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMath.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMode.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMorph.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageOps.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImagePalette.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImagePath.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageQt.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageSequence.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageShow.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageStat.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageTk.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageTransform.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageWin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImtImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IptcImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Jpeg2KImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/JpegImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/JpegPresets.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/McIdasImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MicImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MpegImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MpoImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MspImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PSDraw.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PaletteFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PalmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcdImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcfFontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PdfImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PdfParser.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PixarImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PngImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PpmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PsdImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PyAccess.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SgiImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SpiderImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SunImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TarIO.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TgaImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TiffImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TiffTags.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WalImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WebPImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WmfImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XVThumbImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XbmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XpmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/__init__.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/__main__.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_binary.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_tkinter_finder.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_util.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_version.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/features.py -> build/lib.linux-aarch64-3.9/PIL
    running egg_info
    writing src/Pillow.egg-info/PKG-INFO
    writing dependency_links to src/Pillow.egg-info/dependency_links.txt
    writing top-level names to src/Pillow.egg-info/top_level.txt
    reading manifest file 'src/Pillow.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.c'
    warning: no files found matching '*.h'
    warning: no files found matching '*.sh'
    warning: no previously-included files found matching '.appveyor.yml'
    warning: no previously-included files found matching '.clang-format'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.readthedocs.yml'
    warning: no previously-included files found matching 'codecov.yml'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    no previously-included directories found matching '.ci'
    adding license file 'LICENSE'
    writing manifest file 'src/Pillow.egg-info/SOURCES.txt'
    running build_ext


    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.

    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html

    Traceback (most recent call last):
      File "/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py", line 976, in <module>
        setup(
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
        return distutils.core.setup(**attrs)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/core.py", line 148, in setup
        dist.run_commands()
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 966, in run_commands
        self.run_command(cmd)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/command/install.py", line 61, in run
        return orig.install.run(self)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/install.py", line 546, in run
        self.run_command('build')
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/build.py", line 135, in run
        self.run_command(cmd_name)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/command/build_ext.py", line 79, in run
        _build_ext.run(self)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/build_ext.py", line 340, in run
        self.build_extensions()
      File "/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py", line 788, in build_extensions
        raise RequiredDependencyException(f)
    __main__.RequiredDependencyException: jpeg

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py", line 1033, in <module>
        raise RequiredDependencyException(msg)
    __main__.RequiredDependencyException:

    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.

    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html


    ----------------------------------------
ERROR: Command errored out with exit status 1: /data/data/com.termux/files/usr/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py'"'"'; __file__='"'"'/data/data/com.termux/files/usr/tmp/pip-install-zuqonxzi/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /data/data/com.termux/files/usr/tmp/pip-record-fv0ujmim/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /data/data/com.termux/files/home/.homeassistant/deps/include/python3.9/pillow Check the logs for full command output.
WARNING: You are using pip version 20.2.4; however, version 21.2.4 is available.
You should consider upgrading via the '/data/data/com.termux/files/usr/bin/python3 -m pip install --upgrade pip' command.
2021-09-13 14:21:27 ERROR (MainThread) [homeassistant.setup] Setup failed for image: Requirements for image not found: ['pillow==8.2.0'].
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of person. Setup failed for dependencies: image
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Setup failed for person: Could not set up all dependencies.
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of onboarding. Setup failed for dependencies: person
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Setup failed for onboarding: Could not set up all dependencies.
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of frontend. Setup failed for dependencies: onboarding
2021-09-13 14:21:28 ERROR (MainThread) [homeassistant.setup] Setup failed for frontend: Could not set up all dependencies.
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Setup failed for dhcp: unknown error
Traceback (most recent call last):
  File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/homeassistant/setup.py", line 207, in _async_setup_component
    component = integration.get_component()
  File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/homeassistant/loader.py", line 516, in get_component
    cache[self.domain] = importlib.import_module(self.pkg_path)
  File "/data/data/com.termux/files/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/homeassistant/components/dhcp/__init__.py", line 17, in <module>
    from scapy.arch.common import compile_filter
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/arch/__init__.py", line 135, in <module>
    _set_conf_sockets()  # Apply config
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/config.py", line 618, in _set_conf_sockets
    conf.ifaces.reload()
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/interfaces.py", line 238, in reload
    self._reload_provs()
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/interfaces.py", line 234, in _reload_provs
    self._load(prov.reload(), prov)
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/interfaces.py", line 53, in reload
    return self.load()
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/arch/linux.py", line 420, in load
    get_if_raw_hwaddr(i, siocgifhwaddr=SIOCGIFHWADDR)[1]
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/arch/common.py", line 87, in get_if_raw_hwaddr
    get_if(iff, siocgifhwaddr)
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/scapy/arch/common.py", line 65, in get_if
    return ioctl(sck, cmd, struct.pack("16s16x", iff.encode("utf8")))
PermissionError: [Errno 13] Permission denied
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of logbook. Setup failed for dependencies: frontend
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Setup failed for logbook: Could not set up all dependencies.
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of map. Setup failed for dependencies: frontend
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Setup failed for map: Could not set up all dependencies.
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of my. Setup failed for dependencies: frontend
2021-09-13 14:21:32 ERROR (MainThread) [homeassistant.setup] Setup failed for my: Could not set up all dependencies.
Exception ignored in: <function Context.__del__ at 0x7ecf670c10>
Traceback (most recent call last):
  File "/data/data/com.termux/files/home/.homeassistant/deps/lib/python3.9/site-packages/pyudev/core.py", line 65, in __del__
    self._libudev.udev_unref(self)
AttributeError: 'Context' object has no attribute '_libudev'
2021-09-13 14:21:33 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of mobile_app. Setup failed for dependencies: person
2021-09-13 14:21:33 ERROR (MainThread) [homeassistant.setup] Setup failed for mobile_app: Could not set up all dependencies.
2021-09-13 14:21:35 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: dhcp, frontend, logbook, map, mobile_app, my, person
2021-09-13 14:21:35 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: Could not set up all dependencies.
2021-09-13 14:21:35 WARNING (MainThread) [homeassistant.bootstrap] Detected that frontend did not load. Activating safe mode
2021-09-13 14:22:01 ERROR (SyncWorker_3) [homeassistant.util.package] Unable to install package pillow==8.2.0: ERROR: Command errored out with exit status 1:
     command: /data/data/com.termux/files/usr/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py'"'"'; __file__='"'"'/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /data/data/com.termux/files/usr/tmp/pip-record-k6bxcvxs/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /data/data/com.termux/files/home/.homeassistant/deps/include/python3.9/pillow
         cwd: /data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/
    Complete output (176 lines):
    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-aarch64-3.9
    creating build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BdfFontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BlpImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BmpImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/BufrStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ContainerIO.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/CurImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/DcxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/DdsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/EpsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ExifTags.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FitsStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FliImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FpxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/FtexImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GbrImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GdImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GifImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GimpGradientFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GimpPaletteFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/GribStubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Hdf5StubImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IcnsImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IcoImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Image.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageChops.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageCms.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageColor.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageDraw.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageDraw2.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageEnhance.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFilter.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageFont.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageGrab.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMath.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMode.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageMorph.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageOps.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImagePalette.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImagePath.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageQt.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageSequence.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageShow.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageStat.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageTk.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageTransform.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImageWin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/ImtImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/IptcImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/Jpeg2KImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/JpegImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/JpegPresets.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/McIdasImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MicImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MpegImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MpoImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/MspImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PSDraw.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PaletteFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PalmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcdImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcfFontFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PcxImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PdfImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PdfParser.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PixarImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PngImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PpmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PsdImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/PyAccess.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SgiImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SpiderImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/SunImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TarIO.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TgaImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TiffImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/TiffTags.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WalImageFile.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WebPImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/WmfImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XVThumbImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XbmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/XpmImagePlugin.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/__init__.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/__main__.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_binary.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_tkinter_finder.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_util.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/_version.py -> build/lib.linux-aarch64-3.9/PIL
    copying src/PIL/features.py -> build/lib.linux-aarch64-3.9/PIL
    running egg_info
    writing src/Pillow.egg-info/PKG-INFO
    writing dependency_links to src/Pillow.egg-info/dependency_links.txt
    writing top-level names to src/Pillow.egg-info/top_level.txt
    reading manifest file 'src/Pillow.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.c'
    warning: no files found matching '*.h'
    warning: no files found matching '*.sh'
    warning: no previously-included files found matching '.appveyor.yml'
    warning: no previously-included files found matching '.clang-format'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.readthedocs.yml'
    warning: no previously-included files found matching 'codecov.yml'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    no previously-included directories found matching '.ci'
    adding license file 'LICENSE'
    writing manifest file 'src/Pillow.egg-info/SOURCES.txt'
    running build_ext


    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.

    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html

    Traceback (most recent call last):
      File "/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py", line 976, in <module>
        setup(
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
        return distutils.core.setup(**attrs)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/core.py", line 148, in setup
        dist.run_commands()
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 966, in run_commands
        self.run_command(cmd)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/command/install.py", line 61, in run
        return orig.install.run(self)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/install.py", line 546, in run
        self.run_command('build')
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/build.py", line 135, in run
        self.run_command(cmd_name)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
        cmd_obj.run()
      File "/data/data/com.termux/files/usr/lib/python3.9/site-packages/setuptools/command/build_ext.py", line 79, in run
        _build_ext.run(self)
      File "/data/data/com.termux/files/usr/lib/python3.9/distutils/command/build_ext.py", line 340, in run
        self.build_extensions()
      File "/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py", line 788, in build_extensions
        raise RequiredDependencyException(f)
    __main__.RequiredDependencyException: jpeg

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py", line 1033, in <module>
        raise RequiredDependencyException(msg)
    __main__.RequiredDependencyException:

    The headers or library files could not be found for jpeg,
    a required dependency when compiling Pillow from source.

    Please see the install instructions at:
       https://pillow.readthedocs.io/en/latest/installation.html


    ----------------------------------------
ERROR: Command errored out with exit status 1: /data/data/com.termux/files/usr/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py'"'"'; __file__='"'"'/data/data/com.termux/files/usr/tmp/pip-install-dft1lw8b/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /data/data/com.termux/files/usr/tmp/pip-record-k6bxcvxs/install-record.txt --single-version-externally-managed --prefix '' --user --prefix= --compile --install-headers /data/data/com.termux/files/home/.homeassistant/deps/include/python3.9/pillow Check the logs for full command output.
WARNING: You are using pip version 20.2.4; however, version 21.2.4 is available.
You should consider upgrading via the '/data/data/com.termux/files/usr/bin/python3 -m pip install --upgrade pip' command.
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Setup failed for image: Requirements for image not found: ['pillow==8.2.0'].
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of person. Setup failed for dependencies: image
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Setup failed for person: Could not set up all dependencies.
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of onboarding. Setup failed for dependencies: person
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Setup failed for onboarding: Could not set up all dependencies.
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of frontend. Setup failed for dependencies: onboarding
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Setup failed for frontend: Could not set up all dependencies.
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of safe_mode. Setup failed for dependencies: frontend
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.setup] Setup failed for safe_mode: Could not set up all dependencies.
2021-09-13 14:22:01 ERROR (MainThread) [homeassistant.components.http] Failed to create HTTP server at port 8123: [Errno 98] error while attempting to bind on address ('0.0.0.0', 8123): address already in use


回复

使用道具 举报

2

主题

19

帖子

80

积分

注册会员

Rank: 2

积分
80
金钱
61
HASS币
0
 楼主| 发表于 2021-9-13 14:44:28 | 显示全部楼层
代码小白,已经困扰好几天了,网上的教程感觉都走不通了,求大神指点迷津
回复

使用道具 举报

1

主题

21

帖子

133

积分

注册会员

Rank: 2

积分
133
金钱
112
HASS币
0
发表于 2021-9-13 17:28:21 | 显示全部楼层
用手机装的?能root用linux deploy吧,我是用这个装成功的
回复

使用道具 举报

2

主题

19

帖子

80

积分

注册会员

Rank: 2

积分
80
金钱
61
HASS币
0
 楼主| 发表于 2021-9-13 18:03:33 来自手机 | 显示全部楼层
kulasty 发表于 2021-9-13 17:28
用手机装的?能root用linux deploy吧,我是用这个装成功的

手机没有root,看termux可以不root安装,homeassistant感觉安装成功了,就是hass启动不了,也不知道这一串代码bug说的啥
回复

使用道具 举报

10

主题

277

帖子

2792

积分

金牌会员

m

Rank: 6Rank: 6

积分
2792
金钱
2515
HASS币
10
QQ
发表于 2021-9-14 10:31:37 | 显示全部楼层
没用手机装过,具体问题也不太懂,但是可以明确看出这个包没安装成功Unable to install package pillow==8.2.0,可以用pip手动安装下,再试试吧
回复

使用道具 举报

1

主题

21

帖子

133

积分

注册会员

Rank: 2

积分
133
金钱
112
HASS币
0
发表于 2021-9-14 11:01:33 | 显示全部楼层
包没安装成功一般是账户权限问题,termux没用过,我用linux deploy的时候也是一样,包安装不成功。后来就是按官方步骤,sudo useradd -rm homeassistant这一步不要,直接安装linux系统前就在软件里设置homeassistant用户名就解决了。你可以试试termux有没有同样的设置
回复

使用道具 举报

2

主题

79

帖子

645

积分

高级会员

Rank: 4

积分
645
金钱
566
HASS币
0
发表于 2021-9-14 13:49:31 来自手机 | 显示全部楼层
改成安装低版本试试。指定安装版本。
回复

使用道具 举报

2

主题

79

帖子

645

积分

高级会员

Rank: 4

积分
645
金钱
566
HASS币
0
发表于 2021-9-14 14:50:00 来自手机 | 显示全部楼层
试试安装低版本的
回复

使用道具 举报

2

主题

19

帖子

80

积分

注册会员

Rank: 2

积分
80
金钱
61
HASS币
0
 楼主| 发表于 2021-9-14 22:13:40 | 显示全部楼层
mars.z 发表于 2021-9-14 10:31
没用手机装过,具体问题也不太懂,但是可以明确看出这个包没安装成功Unable to install package pillow==8. ...

谢谢,pillow 试着装了好几个版本,手机也装不上,一直红字报错
回复

使用道具 举报

2

主题

19

帖子

80

积分

注册会员

Rank: 2

积分
80
金钱
61
HASS币
0
 楼主| 发表于 2021-9-14 22:15:38 | 显示全部楼层
kulasty 发表于 2021-9-14 11:01
包没安装成功一般是账户权限问题,termux没用过,我用linux deploy的时候也是一样,包安装不成功。后来就是 ...

termux好像没有这一步,找了个旧手机想用deploy,ssh研究了一天,现在又卡在虚拟环境装不上
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|Hassbian

GMT+8, 2021-9-24 11:16 , Processed in 0.066408 second(s), 33 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表